#:kivy 1.0

#: import FadeTransition kivy.uix.screenmanager.FadeTransition
WindowManager:
    MainWindow:
    DodajIgracaWindow:
    NeverHaveIEverMainWindow:
    NeverHaveIEverRulesWindow:
    NeverHaveIEverWindow:
    ProcjeneMainWindow:
    ProcjeneRulesWindow:
    ProcjenePitanjeWindow:
    ProcjeneOdgovorWindow:
    KategorijeMainWindow:
    KategorijeRulesWindow:
    KategorijeWindow:
    AliasMainWindow:
    AliasWindow:
    AliasWindowPairs:
    AliasRulesWindow:
    AritmetikaMainWindow:
    AritmetikaWindow:
    AritmetikaRulesWindow:
    LastWindow:

<Button>
    font_size: 40
    background_color: 0, 0, 0, 0.1
    color: (0.844, 0.609, 0.375, 0.5)
    size_hint:(0.6, 0.2)
    pos_hint:{'center_x': .5, 'center_y': .5}

<TextInput>
    padding_y: [self.height / 2.0 - (self.line_height / 2.0) * len(self._lines), 0]
    font_size: 20
    background_color: (1, 1, 1, 0.1)
    foreground_color: 0.844, 0.609, 0.375, 0.9
    pos_hint: {'center_x': 0.5}
    size_hint: (0.6, 0.2)

<Label>
    color: 0.844, 0.609, 0.375
    font_size: 20
    padding: 0, 5

<Naslov@Label>
    font_size: 40

<Podnaslov@Label>
    font_size: 30

<Pravilo@Label>
    text_size: self.size
    halign: 'center'
    valign: 'middle'
    #font_size: 20

<KreniButton@Button>
    text: "Kreni"

<PravilaButton@Button>
    text: "Pravila"

<VerticalLayout@BoxLayout>
    orientation: "vertical"
    spacing: 10

<HorizontalLayout@BoxLayout>
    orientation: "horizontal"
    spacing: 5

<MainWindow>:
    name: "main"

    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:
        Image:
            source: "full_logo.png"
            
        KreniButton:
            on_release:
                root.manager.transition = FadeTransition(duration=0)
                app.root.current = "dodajIgraca"
                

<DodajIgracaWindow>:
    name: "dodajIgraca"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:

        HorizontalLayout:
            Label: 
                id: popis_igraca_label0
                color: (0.844, 0.609, 0.375)
                height: 20

            Label: 
                id: popis_igraca_label1
                color: (0.844, 0.609, 0.375)
                height: 20

        TextInput:
            id: nadimciInput
            hint_text:"nadimak"
            on_text:
                self.text = app.obradaNadimaka(popis_igraca_label0, popis_igraca_label1, kreni_button ,self.text)

        Button:
            text: "Dodaj"
            on_release:
                app.uploadajNadimke(nadimciInput.text)
                nadimciInput.text = ""
                popis_igraca_label0.text, popis_igraca_label1.text = app.ispisiIgrace()
                kreni_button.disabled = app.dovoljnoIgraca()

        Button:
            id: kreni_button
            text: "Kreni"
            disabled: True
            on_release:
                app.uploadajNadimke(nadimciInput.text)
                app.root.current = app.sljedeca_igra()
                    

                
<NeverHaveIEverMainWindow>:
    name: "neverHaveIEverMain"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:

        Image:
            source: "nhie.png"
            
        PravilaButton:
            on_release:
                app.root.current = "neverHaveIEverRules" 

        KreniButton:
            on_release:
                app.root.current = "neverHaveIEver"
                app.nova_recenica(nova_igra = True)


<NeverHaveIEverRulesWindow>:
    name: "neverHaveIEverRules"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:
        
        Image:
            source: "nhie.png"
               
        Pravilo:
            text: "Dobit ćete rečenice. Piju svi koji su nekad to napravili."
                
        KreniButton:
            size_hint:(0.6, 0.3)
            on_release:
                app.root.current = "neverHaveIEver"
                app.nova_recenica(nova_igra = True)
                
<NeverHaveIEverWindow>:
    name: "neverHaveIEver"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:
        
        Image:
            source: "nhie.png"
            
        Pravilo:
            text: app.recenica
            color: (0.844, 0.609, 0.375)
            
        
        Button:
            size_hint:(0.6, 0.3)
            text: "Dalje"
            on_release:
                app.root.current = "neverHaveIEver"
                app.nova_recenica()
                
<ProcjeneMainWindow>:
    name: "procjeneMain"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:
        
        Image:
            source: "procjene.png"

        PravilaButton:
            on_release:
                app.root.current = "procjeneRules" 

        KreniButton:
            on_release:
                app.root.current = "procjenePitanje"
                app.nova_procjena(nova_igra = True)

<ProcjeneRulesWindow>:
    name: "procjeneRules"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:
        
        Image:
            source: "procjene.png"
            
        Pravilo:
            text: "Dobit ćete pitanje na koje je odgovor broj. Svatko treba zapisati svoju procjenu. Tko je najbliže dodjeljuje tri pića."
  
        KreniButton:
            size_hint:(0.6, 0.3)
            on_release:
                app.root.current = "procjenePitanje"
                app.nova_procjena(nova_igra = True)
           
                
<ProcjenePitanjeWindow>:
    name: "procjenePitanje"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:
        Image:
            source: "procjene.png"
        
        Podnaslov: 
            text_size: self.size
            halign: 'center'
            valign: 'middle'
            text: app.zadatak

        Naslov:
            text: "                     "
            
        Button:
            size_hint:(0.6, 0.3)
            text: "Odgovor"
            on_release:
                app.root.current = "procjeneOdgovor"


<ProcjeneOdgovorWindow>:
    name: "procjeneOdgovor"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:

        Image:
            source: "procjene.png"
        
        Podnaslov: 
            text_size: self.size
            halign: 'center'
            valign: 'middle'
            text: app.zadatak
            
        Naslov:
            text: app.odgovor
                
        Button:
            text: "Dalje"
            size_hint:(0.6, 0.3)
            on_release:
                app.root.current = "procjenePitanje"
                app.nova_procjena()
                
<KategorijeMainWindow>:
    name: "kategorijeMain"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:
        
        Image:
            source: "kategorije.png"

        PravilaButton:
            on_release:
                app.root.current = "kategorijeRules" 

        KreniButton:
            on_release:
                app.root.current = "kategorije"
                app.nova_kategorija(nova_igra = True)
                
<KategorijeRulesWindow>:
    name: "kategorijeRules"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:
        
        Image:
            source: "kategorije.png"
            
        Pravilo:
            text: "Dobit ćete kategoriju. U krug nabrajate elemente koji pripadaju toj kategoriji.\nBit će zadano koji igrač počinje.\nTko pogriješi ili predugo razmišlja pije."
              
        KreniButton:
            size_hint:(0.6, 0.3)
            on_release:
                app.root.current = "kategorije"
                app.nova_kategorija(nova_igra = True)
                
<KategorijeWindow>:
    name: "kategorije"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:

        Image:
            source: "kategorije.png"

        Podnaslov:
            text_size: self.size
            halign: 'center'
            valign: 'middle'
            text: app.kategorija
            
        Label:
            text: "kreće " + app.igrac
            
        Button:
            size_hint:(0.6, 0.3)
            text: "Dalje"
            on_release:
                app.root.current = "kategorije"
                app.nova_kategorija()

<AliasMainWindow>:
    name: "aliasMain"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:
        
        Image:
            source: "alias.png"

        PravilaButton:
            on_release:
                app.root.current = "aliasRules"

        KreniButton:
            on_release:
                app.generirajParove(nova_igra = True) 
                app.root.current = "aliasPairs"

<AliasWindowPairs>:
    name: "aliasPairs"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:
        spacing: 2

        Image:
            source: "alias.png"

        Podnaslov:
            text: "Par 1"
        Label:
            text: "objašnjava: " + app.igrac_objasnjava_par1 + "\npogađa: " + app.igrac_pogadja_par1

        Podnaslov:
            text: "Par 2"
        Label:
            text: "objašnjava: " + app.igrac_objasnjava_par2 + "\npogađa: " + app.igrac_pogadja_par2
    
        Button:
            size_hint:(0.6, 0.3)
            text: "Kreni"
            on_release:
                app.root.current = "alias"
                app.nova_rijec()


<AliasWindow>:
    name: "alias"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:
        Image:
            source: "alias.png"

        Naslov: 
            text: app.rijec
            
        Button:
            size_hint:(0.6, 0.3)
            text: "Dalje"
            on_release:
                app.root.current = "alias"
                app.nova_rijec()

<AliasRulesWindow>:
    name: "aliasRules"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    
    VerticalLayout:
        
        Image:
            source: "alias.png"    
        
        Pravilo:
            text: "Izvući će se dva para. Oni koji objašnjavaju pogledaju riječ i pokušaju je što brže objasniti drugom. Krećete u isto vrijeme. Sporiji par pije.\nBonus igra: ostali igrači se klade na parove i piju ako odaberu gubitnički par."
               
        KreniButton:
            size_hint:(0.6, 0.3)
            on_release:
                app.generirajParove(nova_igra = True)
                app.root.current = "aliasPairs"
                

<AritmetikaMainWindow>:
    name: "aritmetikaMain"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:
        
        Image:
            source: "aritmetika.png"

        Label:
            id: aritmetika_citac
            font_size: 35
            color: (0.844, 0.609, 0.375)
                
        PravilaButton:
            size_hint:(0.6, 0.3)
            on_release:
                app.root.current = "aritmetikaRules" 

        KreniButton:
            size_hint:(0.6, 0.3)
            on_release:
                app.root.current = "aritmetika"


<AritmetikaRulesWindow>:
    name: "aritmetikaRules"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:
        
        Image:
            source: "aritmetika.png"

        Label:
            id: aritmetika_pravila_citac
            font_size: 35
            color: (0.844, 0.609, 0.375)
            
        Pravilo:
            text: "Jedan igrač čita izraz. Ostali u glavi računaju i na kraju zapišu rezultat.\nSvi koji su krivo izračunali piju."
   
        KreniButton:
            size_hint:(0.6, 0.3)
            on_release:
                app.root.current = "aritmetika"
                
<AritmetikaWindow>:
    name: "aritmetika"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size
    on_enter: app.upd_ltxt()
    
    VerticalLayout:
        Image:
            source: "aritmetika.png"
        Naslov: 
            text: app.izraz 
        Button:
            id: aritmetikaBtn
            size_hint:(0.6, 0.3)
            text: "Dalje"
            disabled: app.disable_dalje_aritmetika
            on_release:
                app.root.current = app.sljedeca_igra()

<LastWindow>:
    name: "last"
    canvas.before:
        Color:
            rgb: (0.180, 0.2, 0.2)
        Rectangle:
            pos: self.pos
            size: self.size

    VerticalLayout:

        Image:
            source: "kraj.png"

        Label: 
            text: "Hrabri mogu krenuti ispočetka!"

        Button:
            size_hint:(0.6, 0.3)
            text: "Isti igrači"
            disabled: app.disable_dalje_aritmetika
            on_release:
                app.root.current = app.nova_igra_stari_igraci()
        Button:
            size_hint:(0.6, 0.3)
            text: "Sve ispočetka"
            disabled: app.disable_dalje_aritmetika
            on_release:
                app.root.current = app.nova_igra_novi_igraci()      

    



            

